scala.collection.GenIterableViewLike

# Mapped

#### trait Mapped[B] extends GenIterableViewLike.Mapped[B] with Transformed[B]

Definition Classes
  GenIterableViewLike → GenTraversableViewLike
Source
  GenIterableViewLike.scala

Linear Supertypes
Transformed[B], GenIterableView[B, Coll], GenIterableViewLike[B, Coll, GenIterableView[B, Coll]], GenIterable[B], GenIterableLike[B, GenIterableView[B, Coll]], GenIterableViewLike.Mapped[B], GenIterableViewLike.Transformed[B], GenTraversableView[B, Coll], GenTraversableViewLike[B, Coll, GenIterableView[B, Coll]], GenTraversable[B], GenericTraversableTemplate[B, GenIterable], HasNewBuilder[B, GenIterable[B]], GenTraversableLike[B, GenIterableView[B, Coll]], Parallelizable[B, ParIterable[B]], GenTraversableOnce[B], AnyRef, Any
Known Subclasses
Mapped, Mapped, Mapped, Mapped, Mapped, Mapped
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Mapped
2. Transformed
3. GenIterableView
4. GenIterableViewLike
5. GenIterable
6. GenIterableLike
7. Mapped
8. Transformed
9. GenTraversableView
10. GenTraversableViewLike
11. GenTraversable
12. GenericTraversableTemplate
13. HasNewBuilder
14. GenTraversableLike
15. Parallelizable
16. GenTraversableOnce
17. AnyRef
18. Any

Implicitly

1. by traversable2ops
2. by any2stringadd
3. by any2stringfmt
4. by any2ArrowAssoc
5. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait Appended[B >: A] extends GenIterableViewLike.Appended[B] with Transformed[B]

   Definition Classes
     GenIterableViewLike → GenTraversableViewLike

2. #### trait DroppedWhile extends GenIterableViewLike.DroppedWhile with Transformed[A]

   Definition Classes
     GenIterableViewLike → GenTraversableViewLike

3. #### trait EmptyView extends Transformed[Nothing] with GenIterableViewLike.EmptyView

   Definition Classes
     GenIterableViewLike → GenTraversableViewLike

4. #### trait Filtered extends GenIterableViewLike.Filtered with Transformed[A]

   Definition Classes
     GenIterableViewLike → GenTraversableViewLike

5. #### trait FlatMapped[B] extends GenIterableViewLike.FlatMapped[B] with Transformed[B]

   Definition Classes
     GenIterableViewLike → GenTraversableViewLike

6. #### trait Forced[B] extends GenIterableViewLike.Forced[B] with Transformed[B]

   A fall back which forces everything into a vector and then applies an operation on it.

7. #### trait Mapped[B] extends GenIterableViewLike.Mapped[B] with Transformed[B]

   Definition Classes
     GenIterableViewLike → GenTraversableViewLike

8. #### trait Sliced extends GenIterableViewLike.Sliced with Transformed[A]

   Definition Classes
     GenIterableViewLike → GenTraversableViewLike

9. #### trait TakenWhile extends GenIterableViewLike.TakenWhile with Transformed[A]

   Definition Classes
     GenIterableViewLike → GenTraversableViewLike

10. #### trait Transformed[+B] extends GenIterableView[B, Coll] with GenIterableViewLike.Transformed[B]

    The implementation base trait of this view.

11. #### trait Zipped[B] extends Transformed[(A, B)]

    Definition Classes
      GenIterableViewLike

12. #### trait ZippedAll[A1 >: A, B] extends Transformed[(A1, B)]

    Definition Classes
      GenIterableViewLike

### Abstract Value Members

1. #### abstract def /:[B](z: B)(op: (B, B) ⇒ B): B

   Applies a binary operator to a start value and all elements of this general iterable collection , going left to right.

   Applies a binary operator to a start value and all elements of this general iterable collection , going left to right.

   Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (5 /: a)(_+_)
       b: Int = 15

       scala> val c = (5 /: a)((x,y) => x + y)
       c: Int = 15

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

   B

     the result type of the binary operator.

   z

     the start value.

   op

     the binary operator.

   returns

     the result of inserting `op` between consecutive elements of this general iterable collection , going left to right with the start value `z` on the left:

         op(...op(op(z, x_1), x_2), ..., x_n)

     where `x1, ..., xn` are the elements of this general iterable collection .

   Definition Classes
     GenTraversableOnce

2. #### abstract def :\[B](z: B)(op: (B, B) ⇒ B): B

   Applies a binary operator to all elements of this general iterable collection and a start value, going right to left.

   Applies a binary operator to all elements of this general iterable collection and a start value, going right to left.

   Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

   Note: will not terminate for infinite-sized collections.

   Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

   Examples:

   Note that the folding function used to compute b is equivalent to that used to compute c.

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a :\ 5)(_+_)
       b: Int = 15

       scala> val c = (a :\ 5)((x,y) => x + y)
       c: Int = 15

   B

     the result type of the binary operator.

   z

     the start value

   op

     the binary operator

   returns

     the result of inserting `op` between consecutive elements of this general iterable collection , going right to left with the start value `z` on the right:

         op(x_1, op(x_2, ... op(x_n, z)...))

     where `x1, ..., xn` are the elements of this general iterable collection .

   Definition Classes
     GenTraversableOnce

3. #### abstract def aggregate[B](z: B)(seqop: (B, B) ⇒ B, combop: (B, B) ⇒ B): B

   Aggregates the results of applying an operator to subsequent elements.

   Aggregates the results of applying an operator to subsequent elements.

   This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

   For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

       pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

   Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

   B

     the type of accumulated results

   z

     the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

   seqop

     an operator used to accumulate results within a partition

   combop

     an associative operator used to combine results from different partitions

   Definition Classes
     GenTraversableOnce

4. #### abstract def copyToArray[B >: B](xs: Array[B], start: Int, len: Int): Unit

   Definition Classes
     GenTraversableOnce

5. #### abstract def count(p: (B) ⇒ Boolean): Int

   Counts the number of elements in the general iterable collection which satisfy a predicate.

   Counts the number of elements in the general iterable collection which satisfy a predicate.

   p

     the predicate used to test elements.

   returns

     the number of elements satisfying the predicate `p`.

   Definition Classes
     GenTraversableOnce

6. #### abstract def drop(n: Int): GenIterableView[B, Coll]

   Selects all elements except first n ones.

   Selects all elements except first n ones.

   Note: might return different results for different runs, unless the underlying collection type is ordered.

   n

     the number of elements to drop from this general iterable collection .

   returns

     a general iterable collection consisting of all elements of this general iterable collection except the first `n` ones, or else the empty general iterable collection , if this general iterable collection has less than `n` elements.

   Definition Classes
     GenTraversableLike

7. #### abstract def dropWhile(pred: (B) ⇒ Boolean): GenIterableView[B, Coll]

   Drops longest prefix of elements that satisfy a predicate.

   Drops longest prefix of elements that satisfy a predicate.

   Note: might return different results for different runs, unless the underlying collection type is ordered.

   pred

     The predicate used to test elements.

   returns

     the longest suffix of this general iterable collection whose first element does not satisfy the predicate `p`.

   Definition Classes
     GenTraversableLike

8. #### abstract def exists(pred: (B) ⇒ Boolean): Boolean

   Definition Classes
     GenTraversableOnce

9. #### abstract def filter(pred: (B) ⇒ Boolean): GenIterableView[B, Coll]

   Selects all elements of this general iterable collection which satisfy a predicate.

   Selects all elements of this general iterable collection which satisfy a predicate.

   pred

     the predicate used to test elements.

   returns

     a new general iterable collection consisting of all elements of this general iterable collection that satisfy the given predicate `p`. Their order may not be preserved.

   Definition Classes
     GenTraversableLike

10. #### abstract def filterNot(pred: (B) ⇒ Boolean): GenIterableView[B, Coll]

    Selects all elements of this general iterable collection which do not satisfy a predicate.

    Selects all elements of this general iterable collection which do not satisfy a predicate.

    pred

      the predicate used to test elements.

    returns

      a new general iterable collection consisting of all elements of this general iterable collection that do not satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      GenTraversableLike

11. #### abstract def find(pred: (B) ⇒ Boolean): Option[B]

    Finds the first element of the general iterable collection satisfying a predicate, if any.

    Finds the first element of the general iterable collection satisfying a predicate, if any.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pred

      the predicate used to test elements.

    returns

      an option value containing the first element in the general iterable collection

      that satisfies `p`, or `None` if none exists.

    Definition Classes
      GenTraversableOnce

12. #### abstract def fold[A1 >: B](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this general iterable collection using the specified associative binary operator.

    Folds the elements of this general iterable collection using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      GenTraversableOnce

13. #### abstract def foldLeft[B](z: B)(op: (B, B) ⇒ B): B

    Applies a binary operator to a start value and all elements of this general iterable collection , going left to right.

    Applies a binary operator to a start value and all elements of this general iterable collection , going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this general iterable collection , going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this general iterable collection .

    Definition Classes
      GenTraversableOnce

14. #### abstract def foldRight[B](z: B)(op: (B, B) ⇒ B): B

    Applies a binary operator to all elements of this general iterable collection and a start value, going right to left.

    Applies a binary operator to all elements of this general iterable collection and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this general iterable collection , going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this general iterable collection .

    Definition Classes
      GenTraversableOnce

15. #### abstract def forall(pred: (B) ⇒ Boolean): Boolean

    Definition Classes
      GenTraversableOnce

16. #### abstract def force[B >: B, That](implicit bf: CanBuildFrom[Coll, B, That]): That

    Definition Classes
      GenTraversableViewLike

17. #### abstract def groupBy[K](f: (B) ⇒ K): GenMap[K, GenIterableView[B, Coll]]

    Partitions this general iterable collection into a map of general iterable collection s according to some discriminator function.

    Partitions this general iterable collection into a map of general iterable collection s according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new general iterable collection .

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to general iterable collection s such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a general iterable collection of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      GenTraversableLike

18. #### abstract def hasDefiniteSize: Boolean

    Definition Classes
      GenTraversableOnce

19. #### abstract def head: B

    Selects the first element of this general iterable collection .

    Selects the first element of this general iterable collection .

    returns

      the first element of this general iterable collection .

    Definition Classes
      GenericTraversableTemplate
    Exceptions thrown
      `NoSuchElementException`

      if the general iterable collection is empty.

20. #### abstract def headOption: Option[B]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this general iterable collection if it is nonempty, `None` if it is empty.

    Definition Classes
      GenTraversableLike

21. #### abstract def init: GenIterableView[B, Coll]

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a general iterable collection consisting of all elements of this general iterable collection

      except the last one.

    Definition Classes
      GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the general iterable collection is empty.

22. #### abstract def isTraversableAgain: Boolean

    Tests whether this general iterable collection can be repeatedly traversed.

    Tests whether this general iterable collection can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      GenTraversableLike → GenTraversableOnce

23. #### abstract def last: B

    Selects the last element.

    Selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      The last element of this general iterable collection .

    Definition Classes
      GenTraversableLike
    Exceptions thrown
      NoSuchElementException

      If the general iterable collection is empty.

24. #### abstract def lastOption: Option[B]

    Optionally selects the last element.

    Optionally selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the last element of this general iterable collection $ if it is nonempty, `None` if it is empty.

    Definition Classes
      GenTraversableLike

25. #### abstract val mapping: (A) ⇒ B

    Attributes
      protected[this]
    Definition Classes
      Mapped

26. #### abstract def maxBy[B](f: (B) ⇒ B)(implicit cmp: Ordering[B]): B

    Definition Classes
      GenTraversableOnce

27. #### abstract def minBy[B](f: (B) ⇒ B)(implicit cmp: Ordering[B]): B

    Definition Classes
      GenTraversableOnce

28. #### abstract def mkString: String

    Displays all elements of this general iterable collection in a string.

    Displays all elements of this general iterable collection in a string.

    returns

      a string representation of this general iterable collection . In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this general iterable collection follow each other without any separator string.

    Definition Classes
      GenTraversableOnce

29. #### abstract def mkString(sep: String): String

    Displays all elements of this general iterable collection in a string using a separator string.

    Displays all elements of this general iterable collection in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this general iterable collection . In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this general iterable collection are separated by the string `sep`.

    Definition Classes
      GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

30. #### abstract def mkString(start: String, sep: String, end: String): String

    Displays all elements of this general iterable collection in a string using start, end, and separator strings.

    Displays all elements of this general iterable collection in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this general iterable collection . The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this general iterable collection are separated by the string `sep`.

    Definition Classes
      GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

31. #### abstract def nonEmpty: Boolean

    Tests whether the general iterable collection is not empty.

    Tests whether the general iterable collection is not empty.

    returns

      `true` if the general iterable collection contains at least one element, `false` otherwise.

    Definition Classes
      GenTraversableOnce

32. #### abstract def parCombiner: Combiner[B, ParIterable[B]]

    The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

    The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

    returns

      a combiner for the parallel collection of type `ParRepr`

    Attributes
      protected[this]
    Definition Classes
      Parallelizable

33. #### abstract def partition(pred: (B) ⇒ Boolean): (GenIterableView[B, Coll], GenIterableView[B, Coll])

    Partitions this general iterable collection in two general iterable collection s according to a predicate.

    Partitions this general iterable collection in two general iterable collection s according to a predicate.

    pred

      the predicate on which to partition.

    returns

      a pair of general iterable collection s: the first general iterable collection consists of all elements that satisfy the predicate `p` and the second general iterable collection consists of all elements that don't. The relative order of the elements in the resulting general iterable collection s may not be preserved.

    Definition Classes
      GenTraversableLike

34. #### abstract def reduce[A1 >: B](op: (A1, A1) ⇒ A1): A1

    Reduces the elements of this general iterable collection using the specified associative binary operator.

    Reduces the elements of this general iterable collection using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      A type parameter for the binary operator, a supertype of `A`.

    op

      A binary operator that must be associative.

    returns

      The result of applying reduce operator `op` between all the elements if the general iterable collection is nonempty.

    Definition Classes
      GenTraversableOnce
    Exceptions thrown
      UnsupportedOperationException

      if this general iterable collection is empty.

35. #### abstract def reduceLeftOption[B >: B](op: (B, B) ⇒ B): Option[B]

    Optionally applies a binary operator to all elements of this general iterable collection , going left to right.

    Optionally applies a binary operator to all elements of this general iterable collection , going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      an option value containing the result of `reduceLeft(op)` is this general iterable collection is nonempty, `None` otherwise.

    Definition Classes
      GenTraversableOnce

36. #### abstract def reduceOption[A1 >: B](op: (A1, A1) ⇒ A1): Option[A1]

    Reduces the elements of this general iterable collection , if any, using the specified associative binary operator.

    Reduces the elements of this general iterable collection , if any, using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      A type parameter for the binary operator, a supertype of `A`.

    op

      A binary operator that must be associative.

    returns

      An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

    Definition Classes
      GenTraversableOnce

37. #### abstract def reduceRight[B >: B](op: (B, B) ⇒ B): B

    Applies a binary operator to all elements of this general iterable collection , going right to left.

    Applies a binary operator to all elements of this general iterable collection , going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this general iterable collection , going right to left:

          op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

      where `x1, ..., xn` are the elements of this general iterable collection .

    Definition Classes
      GenTraversableOnce
    Exceptions thrown
      `UnsupportedOperationException`

      if this general iterable collection is empty.

38. #### abstract def reduceRightOption[B >: B](op: (B, B) ⇒ B): Option[B]

    Optionally applies a binary operator to all elements of this general iterable collection , going right to left.

    Optionally applies a binary operator to all elements of this general iterable collection , going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    op

      the binary operator.

    returns

      an option value containing the result of `reduceRight(op)` is this general iterable collection is nonempty, `None` otherwise.

    Definition Classes
      GenTraversableOnce

39. #### abstract def repr: GenIterableView[B, Coll]

    Definition Classes
      GenTraversableLike

40. #### abstract def scan[B >: B, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[GenIterableView[B, Coll], B, That]): That

    Computes a prefix scan of the elements of the collection.

    Computes a prefix scan of the elements of the collection.

    Note: The neutral element `z` may be applied more than once.

    B

      element type of the resulting collection

    That

      type of the resulting collection

    z

      neutral element for the operator `op`

    op

      the associative operator for the scan

    cbf

      combiner factory which provides a combiner

    returns

      a new general iterable collection containing the prefix scan of the elements in this general iterable collection

    Definition Classes
      GenTraversableLike

41. #### abstract def scanLeft[B, That](z: B)(op: (B, B) ⇒ B)(implicit bf: CanBuildFrom[GenIterableView[B, Coll], B, That]): That

    Produces a collection containing cumulative results of applying the operator going left to right.

    Produces a collection containing cumulative results of applying the operator going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    B

      the type of the elements in the resulting collection

    That

      the actual type of the resulting collection

    z

      the initial value

    op

      the binary operator applied to the intermediate result and the element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      collection with intermediate results

    Definition Classes
      GenTraversableLike

42. #### abstract def scanRight[B, That](z: B)(op: (B, B) ⇒ B)(implicit bf: CanBuildFrom[GenIterableView[B, Coll], B, That]): That

    Produces a collection containing cumulative results of applying the operator going right to left.

    Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    Example:

        List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

    B

      the type of the elements in the resulting collection

    That

      the actual type of the resulting collection

    z

      the initial value

    op

      the binary operator applied to the intermediate result and the element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      collection with intermediate results

    Definition Classes
      GenTraversableLike
    Annotations
      @migration
    Migration

      (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

43. #### abstract def seq: Iterable[B]

    Definition Classes
      GenIterable → GenTraversable → Parallelizable → GenTraversableOnce

44. #### abstract def size: Int

    The size of this general iterable collection .

    The size of this general iterable collection .

    Note: will not terminate for infinite-sized collections.

    returns

      the number of elements in this general iterable collection .

    Definition Classes
      GenTraversableLike → GenTraversableOnce

45. #### abstract def slice(unc_from: Int, unc_until: Int): GenIterableView[B, Coll]

    Selects an interval of elements.

    Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

        from <= indexOf(x) < until

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    unc_from

      the lowest index to include from this general iterable collection .

    unc_until

      the lowest index to EXCLUDE from this general iterable collection .

    returns

      a general iterable collection containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this general iterable collection .

    Definition Classes
      GenTraversableLike

46. #### abstract def span(pred: (B) ⇒ Boolean): (GenIterableView[B, Coll], GenIterableView[B, Coll])

    Splits this general iterable collection into a prefix/suffix pair according to a predicate.

    Splits this general iterable collection into a prefix/suffix pair according to a predicate.

    Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pred

      the test predicate

    returns

      a pair consisting of the longest prefix of this general iterable collection whose elements all satisfy `p`, and the rest of this general iterable collection .

    Definition Classes
      GenTraversableLike

47. #### abstract def splitAt(n: Int): (GenIterableView[B, Coll], GenIterableView[B, Coll])

    Splits this general iterable collection into two at a given position.

    Splits this general iterable collection into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the position at which to split.

    returns

      a pair of general iterable collection s consisting of the first `n` elements of this general iterable collection , and the other elements.

    Definition Classes
      GenTraversableLike

48. #### abstract def tail: GenIterableView[B, Coll]

    Selects all elements except the first.

    Selects all elements except the first.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a general iterable collection consisting of all elements of this general iterable collection

      except the first one.

    Definition Classes
      GenTraversableLike
    Exceptions thrown
      `UnsupportedOperationException`

      if the general iterable collection is empty.

49. #### abstract def take(n: Int): GenIterableView[B, Coll]

    Selects first n elements.

    Selects first n elements.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to take from this general iterable collection .

    returns

      a general iterable collection consisting only of the first `n` elements of this general iterable collection , or else the whole general iterable collection , if it has less than `n` elements.

    Definition Classes
      GenTraversableLike

50. #### abstract def takeWhile(pred: (B) ⇒ Boolean): GenIterableView[B, Coll]

    Takes longest prefix of elements that satisfy a predicate.

    Takes longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pred

      The predicate used to test elements.

    returns

      the longest prefix of this general iterable collection whose elements all satisfy the predicate `p`.

    Definition Classes
      GenTraversableLike

51. #### abstract def toBuffer[A1 >: B]: Buffer[A1]

    Converts this general iterable collection to a mutable buffer.

    Converts this general iterable collection to a mutable buffer.

    Note: will not terminate for infinite-sized collections.

    returns

      a buffer containing all elements of this general iterable collection .

    Definition Classes
      GenTraversableOnce

52. #### abstract def toIndexedSeq: immutable.IndexedSeq[B]

    Converts this general iterable collection to an indexed sequence.

    Converts this general iterable collection to an indexed sequence.

    Note: will not terminate for infinite-sized collections.

    returns

      an indexed sequence containing all elements of this general iterable collection .

    Definition Classes
      GenTraversableOnce

53. #### abstract def toIterable: GenIterable[B]

    Converts this general iterable collection to an iterable collection.

    Converts this general iterable collection to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

    Note: will not terminate for infinite-sized collections.

    returns

      an `Iterable` containing all elements of this general iterable collection .

    Definition Classes
      GenTraversableOnce

54. #### abstract def toIterator: Iterator[B]

    Returns an Iterator over the elements in this general iterable collection .

    Returns an Iterator over the elements in this general iterable collection . Will return the same Iterator if this instance is already an Iterator.

    Note: will not terminate for infinite-sized collections.

    returns

      an Iterator containing all elements of this general iterable collection .

    Definition Classes
      GenTraversableOnce

55. #### abstract def toList: List[B]

    Converts this general iterable collection to a list.

    Converts this general iterable collection to a list.

    Note: will not terminate for infinite-sized collections.

    returns

      a list containing all elements of this general iterable collection .

    Definition Classes
      GenTraversableOnce

56. #### abstract def toSeq: GenSeq[B]

    Converts this general iterable collection to a sequence.

    Converts this general iterable collection to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

    Note: will not terminate for infinite-sized collections.

    returns

      a sequence containing all elements of this general iterable collection .

    Definition Classes
      GenTraversableOnce

57. #### abstract def toSet[A1 >: B]: GenSet[A1]

    Converts this general iterable collection to a set.

    Converts this general iterable collection to a set.

    Note: will not terminate for infinite-sized collections.

    returns

      a set containing all elements of this general iterable collection .

    Definition Classes
      GenTraversableOnce

58. #### abstract def toStream: Stream[B]

    Converts this general iterable collection to a stream.

    Converts this general iterable collection to a stream.

    Note: will not terminate for infinite-sized collections.

    returns

      a stream containing all elements of this general iterable collection .

    Definition Classes
      GenTraversableOnce

59. #### abstract def toTraversable: GenTraversable[B]

    Converts this general iterable collection to an unspecified Traversable.

    Converts this general iterable collection to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

    Note: will not terminate for infinite-sized collections.

    returns

      a Traversable containing all elements of this general iterable collection .

    Definition Classes
      GenTraversableOnce

60. #### abstract def toVector: Vector[B]

    Converts this general iterable collection to a Vector.

    Converts this general iterable collection to a Vector.

    Note: will not terminate for infinite-sized collections.

    returns

      a vector containing all elements of this general iterable collection .

    Definition Classes
      GenTraversableOnce

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Mapped[B] to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### abstract def ++[B](that: GenTraversableOnce[B]): GenIterable[B]

   [use case] Returns a new general iterable collection containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new general iterable collection containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the general iterable collection is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new general iterable collection which contains all elements of this general iterable collection

     followed by all elements of `that`.

   Definition Classes
     GenTraversableLike
   Full Signature

   #### abstract def ++[B >: B, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[GenIterableView[B, Coll], B, That]): That

6. #### def ->[B](y: B): (Mapped[B], B)

   Implicit information
     This member is added by an implicit conversion from Mapped[B] to ArrowAssoc[Mapped[B]] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

7. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

9. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

10. #### def asParIterable: ParIterable[B]

    Implicit information
      This member is added by an implicit conversion from Mapped[B] to TraversableOps[B] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

11. #### def asParSeq: ParSeq[B]

    Implicit information
      This member is added by an implicit conversion from Mapped[B] to TraversableOps[B] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

12. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

13. #### abstract def collect[B](pf: PartialFunction[B, B]): GenIterable[B]

    [use case] Builds a new collection by applying a partial function to all elements of this general iterable collection

    [use case]

    Builds a new collection by applying a partial function to all elements of this general iterable collection

    on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the general iterable collection .

    returns

      a new general iterable collection resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      GenTraversableLike
    Full Signature

    #### abstract def collect[B, That](pf: PartialFunction[B, B])(implicit bf: CanBuildFrom[GenIterableView[B, Coll], B, That]): That

14. #### def companion: GenericCompanion[GenIterable]

    The factory companion object that builds instances of class `GenIterable`.

    The factory companion object that builds instances of class `GenIterable`. (or its `Iterable` superclass where class `GenIterable` is not a `Seq`.)

    Definition Classes
      GenIterable → GenTraversable → GenericTraversableTemplate

15. #### abstract def copyToArray(xs: Array[B], start: Int): Unit

    [use case] Copies values of this general iterable collection to an array.

    [use case]

    Copies values of this general iterable collection to an array. Fills the given array `xs` with values of this general iterable collection , beginning at index `start`. Copying will stop once either the end of the current general iterable collection is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def copyToArray[B >: B](xs: Array[B], start: Int): Unit

16. #### abstract def copyToArray(xs: Array[B]): Unit

    [use case] Copies values of this general iterable collection to an array.

    [use case]

    Copies values of this general iterable collection to an array. Fills the given array `xs` with values of this general iterable collection . Copying will stop once either the end of the current general iterable collection is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def copyToArray[B >: B](xs: Array[B]): Unit

17. #### def ensuring(cond: (Mapped[B]) ⇒ Boolean, msg: ⇒ Any): Mapped[B]

    Implicit information
      This member is added by an implicit conversion from Mapped[B] to Ensuring[Mapped[B]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: (Mapped[B]) ⇒ Boolean): Mapped[B]

    Implicit information
      This member is added by an implicit conversion from Mapped[B] to Ensuring[Mapped[B]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean, msg: ⇒ Any): Mapped[B]

    Implicit information
      This member is added by an implicit conversion from Mapped[B] to Ensuring[Mapped[B]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: Boolean): Mapped[B]

    Implicit information
      This member is added by an implicit conversion from Mapped[B] to Ensuring[Mapped[B]] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

22. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

23. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

24. #### abstract def flatMap[B](f: (B) ⇒ GenTraversableOnce[B]): GenIterable[B]

    [use case] Builds a new collection by applying a function to all elements of this general iterable collection

    [use case]

    Builds a new collection by applying a function to all elements of this general iterable collection

    and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of general iterable collection . This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new general iterable collection resulting from applying the given collection-valued function `f` to each element of this general iterable collection and concatenating the results.

    Definition Classes
      GenTraversableLike
    Full Signature

    #### abstract def flatMap[B, That](f: (B) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[GenIterableView[B, Coll], B, That]): That

25. #### def flatten[B]: GenIterable[B]

    [use case] Converts this general iterable collection of traversable collections into a general iterable collection formed by the elements of these traversable collections.

    [use case]

    Converts this general iterable collection of traversable collections into a general iterable collection formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of general iterable collection . For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new general iterable collection resulting from concatenating all element general iterable collection s.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (B) ⇒ GenTraversableOnce[B]): GenIterable[B]

26. #### def foreach(f: (A) ⇒ Unit): Unit

    [use case]

    [use case]
    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      Transformed → Transformed → GenericTraversableTemplate → GenTraversableLike → GenTraversableOnce
    Full Signature

    #### def foreach[U](f: (B) ⇒ U): Unit

27. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Mapped[B] to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

28. #### def genericBuilder[B]: Builder[B, GenIterable[B]]

    The generic builder that builds instances of `GenIterable` at arbitrary element types.

    The generic builder that builds instances of `GenIterable` at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

29. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

30. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

31. #### def ifParSeq[R](isbody: (ParSeq[B]) ⇒ R): (TraversableOps[B])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from Mapped[B] to TraversableOps[B] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

32. #### def isEmpty: Boolean

    Tests whether this general iterable collection is empty.

    Tests whether this general iterable collection is empty.

    returns

      `true` if the general iterable collection contain no elements, `false` otherwise.

    Definition Classes
      Transformed → GenericTraversableTemplate → GenTraversableOnce

33. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

34. #### def isParIterable: Boolean

    Implicit information
      This member is added by an implicit conversion from Mapped[B] to TraversableOps[B] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

35. #### def isParSeq: Boolean

    Implicit information
      This member is added by an implicit conversion from Mapped[B] to TraversableOps[B] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

36. #### def isParallel: Boolean

    Implicit information
      This member is added by an implicit conversion from Mapped[B] to TraversableOps[B] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

37. #### def iterator: Iterator[B]

    Definition Classes
      Mapped → Transformed → GenIterableLike

38. #### abstract def map[B](f: (B) ⇒ B): GenIterable[B]

    [use case] Builds a new collection by applying a function to all elements of this general iterable collection .

    [use case]

    Builds a new collection by applying a function to all elements of this general iterable collection .

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new general iterable collection resulting from applying the given function `f` to each element of this general iterable collection and collecting the results.

    Definition Classes
      GenTraversableLike
    Full Signature

    #### abstract def map[B, That](f: (B) ⇒ B)(implicit bf: CanBuildFrom[GenIterableView[B, Coll], B, That]): That

39. #### abstract def max: B

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this general iterable collection .

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def max[A1 >: B](implicit ord: Ordering[A1]): B

40. #### abstract def min: B

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this general iterable collection

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def min[A1 >: B](implicit ord: Ordering[A1]): B

41. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

42. #### def newBuilder: Builder[B, GenIterable[B]]

    The builder that builds instances of type `GenIterable`[A]

    The builder that builds instances of type `GenIterable`[A]

    Attributes
      protected[this]
    Definition Classes
      GenericTraversableTemplate → HasNewBuilder

43. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

44. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

45. #### def par: ParIterable[B]

    Returns a parallel implementation of this collection.

    Returns a parallel implementation of this collection.

    For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

    Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

    All parallel collections return a reference to themselves.

    returns

      a parallel implementation of this collection

    Definition Classes
      Parallelizable

46. #### abstract def product: B

    [use case] Multiplies up the elements of this collection.

    [use case]

    Multiplies up the elements of this collection.

    returns

      the product of all elements in this general iterable collection of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the general iterable collection and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def product[A1 >: B](implicit num: Numeric[A1]): A1

47. #### abstract def sameElements(that: GenIterable[B]): Boolean

    [use case] Checks if the other iterable collection contains the same elements in the same order as this general iterable collection .

    [use case]

    Checks if the other iterable collection contains the same elements in the same order as this general iterable collection .

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    Note: will not terminate for infinite-sized collections.

    that

      the collection to compare with.

    returns

      `true`, if both collections contain the same elements in the same order, `false` otherwise.

    Definition Classes
      GenIterableLike
    Full Signature

    #### abstract def sameElements[A1 >: B](that: GenIterable[A1]): Boolean

48. #### def stringPrefix: String

    Defines the prefix of this object's `toString` representation.

    Defines the prefix of this object's `toString` representation.

    returns

      a string representation which starts the result of `toString` applied to this general iterable collection . By default the string prefix is the simple name of the collection class general iterable collection .

    Definition Classes
      Transformed → GenTraversableLike

49. #### abstract def sum: B

    [use case] Sums up the elements of this collection.

    [use case]

    Sums up the elements of this collection.

    returns

      the sum of all elements in this general iterable collection of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the general iterable collection and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def sum[A1 >: B](implicit num: Numeric[A1]): A1

50. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

51. #### abstract def to[Col[_]]: Col[B]

    [use case] Converts this general iterable collection into another by copying all elements.

    [use case]

    Converts this general iterable collection into another by copying all elements.

    Note: will not terminate for infinite-sized collections.

    Col

      The collection type to build.

    returns

      a new collection containing all elements of this general iterable collection .

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, B, Col[B]]): Col[B]

52. #### abstract def toArray: Array[B]

    [use case] Converts this general iterable collection to an array.

    [use case]

    Converts this general iterable collection to an array.

    Note: will not terminate for infinite-sized collections.

    returns

      an array containing all elements of this general iterable collection . An `ClassTag` must be available for the element type of this general iterable collection .

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def toArray[A1 >: B](implicit arg0: ClassTag[A1]): Array[A1]

53. #### abstract def toMap[T, U]: Map[T, U]

    [use case] Converts this general iterable collection to a map.

    [use case]

    Converts this general iterable collection to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

    Note: will not terminate for infinite-sized collections.

    returns

      a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this general iterable collection .

    Definition Classes
      GenTraversableOnce
    Full Signature

    #### abstract def toMap[K, V](implicit ev: <:<[B, (K, V)]): GenMap[K, V]

54. #### def toParArray: ParArray[B]

    Implicit information
      This member is added by an implicit conversion from Mapped[B] to TraversableOps[B] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

55. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Transformed → Transformed → AnyRef → Any

56. #### def transpose[B](implicit asTraversable: (B) ⇒ GenTraversableOnce[B]): GenIterable[GenIterable[B]]

    Transposes this general iterable collection of traversable collections into a general iterable collection of general iterable collection s.

    Transposes this general iterable collection of traversable collections into a general iterable collection of general iterable collection s.

    B

      the type of the elements of each traversable collection.

    asTraversable

      an implicit conversion which asserts that the element type of this general iterable collection is a `Traversable`.

    returns

      a two-dimensional general iterable collection of general iterable collection s which has as nth row the nth column of this general iterable collection .

    Definition Classes
      GenericTraversableTemplate
    Annotations
      @migration
    Migration

      (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

    Exceptions thrown
      `IllegalArgumentException`

      if all collections in this general iterable collection

      are not of the same size.

57. #### lazy val underlying: Coll

    Definition Classes
      Transformed → GenTraversableViewLike

58. #### def unzip[A1, A2](implicit asPair: (B) ⇒ (A1, A2)): (GenIterable[A1], GenIterable[A2])

    Converts this general iterable collection of pairs into two collections of the first and second half of each pair.

    Converts this general iterable collection of pairs into two collections of the first and second half of each pair.

    A1

      the type of the first half of the element pairs

    A2

      the type of the second half of the element pairs

    asPair

      an implicit conversion which asserts that the element type of this general iterable collection is a pair.

    returns

      a pair general iterable collection s, containing the first, respectively second half of each element pair of this general iterable collection .

    Definition Classes
      GenericTraversableTemplate

59. #### def unzip3[A1, A2, A3](implicit asTriple: (B) ⇒ (A1, A2, A3)): (GenIterable[A1], GenIterable[A2], GenIterable[A3])

    Converts this general iterable collection of triples into three collections of the first, second, and third element of each triple.

    Converts this general iterable collection of triples into three collections of the first, second, and third element of each triple.

    A1

      the type of the first member of the element triples

    A2

      the type of the second member of the element triples

    A3

      the type of the third member of the element triples

    asTriple

      an implicit conversion which asserts that the element type of this general iterable collection is a triple.

    returns

      a triple general iterable collection s, containing the first, second, respectively third member of each element triple of this general iterable collection .

    Definition Classes
      GenericTraversableTemplate

60. #### final def viewIdString: String

    Attributes
      protected[this]
    Definition Classes
      Transformed → GenTraversableViewLike

61. #### final def viewIdentifier: String

    Attributes
      protected[this]
    Definition Classes
      Mapped → GenTraversableViewLike

62. #### def viewToString: String

    Definition Classes
      GenTraversableViewLike

63. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

64. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

65. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

66. #### abstract def zip[B](that: GenIterable[B]): GenIterable[(B, B)]

    [use case] Returns a general iterable collection formed from this general iterable collection and another iterable collection by combining corresponding elements in pairs.

    [use case]

    Returns a general iterable collection formed from this general iterable collection and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    B

      the type of the second half of the returned pairs

    that

      The iterable providing the second half of each result pair

    returns

      a new general iterable collection containing pairs consisting of corresponding elements of this general iterable collection and `that`. The length of the returned collection is the minimum of the lengths of this general iterable collection and `that`.

    Definition Classes
      GenIterableLike
    Full Signature

    #### abstract def zip[A1 >: B, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[GenIterableView[B, Coll], (A1, B), That]): That

67. #### abstract def zipAll[B](that: Iterable[B], thisElem: B, thatElem: B): GenIterable[(B, B)]

    [use case] Returns a general iterable collection formed from this general iterable collection and another iterable collection by combining corresponding elements in pairs.

    [use case]

    Returns a general iterable collection formed from this general iterable collection and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    B

      the type of the second half of the returned pairs

    that

      The iterable providing the second half of each result pair

    thisElem

      the element to be used to fill up the result if this general iterable collection is shorter than `that`.

    thatElem

      the element to be used to fill up the result if `that` is shorter than this general iterable collection .

    returns

      a new general iterable collection containing pairs consisting of corresponding elements of this general iterable collection and `that`. The length of the returned collection is the maximum of the lengths of this general iterable collection and `that`. If this general iterable collection is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this general iterable collection , `thatElem` values are used to pad the result.

    Definition Classes
      GenIterableLike
    Full Signature

    #### abstract def zipAll[B, A1 >: B, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[GenIterableView[B, Coll], (A1, B), That]): That

68. #### abstract def zipWithIndex: GenIterable[(B, Int)]

    [use case] Zips this general iterable collection with its indices.

    [use case]

    Zips this general iterable collection with its indices.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      A new general iterable collection containing pairs consisting of all elements of this general iterable collection paired with their index. Indices start at `0`.

    Definition Classes
      GenIterableLike
    Full Signature

    #### abstract def zipWithIndex[A1 >: B, That](implicit bf: CanBuildFrom[GenIterableView[B, Coll], (A1, Int), That]): That

    Example:

    1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

69. #### def →[B](y: B): (Mapped[B], B)

    Implicit information
      This member is added by an implicit conversion from Mapped[B] to ArrowAssoc[Mapped[B]] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implict Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Mapped[B] to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (mapped: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Mapped[B] to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (mapped: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def /:\[A1 >: B](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def x: Mapped[B]

   Implicit information
     This member is added by an implicit conversion from Mapped[B] to ArrowAssoc[Mapped[B]] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (mapped: ArrowAssoc[Mapped[B]]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: Mapped[B]

   Implicit information
     This member is added by an implicit conversion from Mapped[B] to Ensuring[Mapped[B]] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (mapped: Ensuring[Mapped[B]]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Transformed[B]

### Inherited from GenIterableView[B, Coll]

### Inherited from GenIterableViewLike[B, Coll, GenIterableView[B, Coll]]

### Inherited from GenIterable[B]

### Inherited from GenIterableLike[B, GenIterableView[B, Coll]]

### Inherited from GenIterableViewLike.Mapped[B]

### Inherited from GenIterableViewLike.Transformed[B]

### Inherited from GenTraversableView[B, Coll]

### Inherited from GenTraversableViewLike[B, Coll, GenIterableView[B, Coll]]

### Inherited from GenTraversable[B]

### Inherited from GenericTraversableTemplate[B, GenIterable]

### Inherited from HasNewBuilder[B, GenIterable[B]]

### Inherited from GenTraversableLike[B, GenIterableView[B, Coll]]

### Inherited from Parallelizable[B, ParIterable[B]]

### Inherited from GenTraversableOnce[B]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion traversable2ops from Mapped[B] to TraversableOps[B]

### Inherited by implicit conversion any2stringadd from Mapped[B] to StringAdd

### Inherited by implicit conversion any2stringfmt from Mapped[B] to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Mapped[B] to ArrowAssoc[Mapped[B]]

### Inherited by implicit conversion any2Ensuring from Mapped[B] to Ensuring[Mapped[B]]

### Ungrouped